## r-bioc-rgsepd 1.20.2

=== DESCRIPTION ===
Package: rgsepd
Type: Package
Title: Gene Set Enrichment / Projection Displays
Version: 1.20.2
Date: 2020-06-04
Author: Karl Stamm
Maintainer: Karl Stamm <karl.stamm@gmail.com>
Description: R/GSEPD is a bioinformatics package for R to help
        disambiguate transcriptome samples (a matrix of RNA-Seq counts
        at transcript IDs) by automating differential expression (with
        DESeq2), then gene set enrichment (with GOSeq), and finally a
        N-dimensional projection to quantify in which ways each sample
        is like either treatment group. 
Depends: R (>= 4.0.0), DESeq2, goseq (>= 1.28)
Imports: gplots, biomaRt, org.Hs.eg.db, GO.db, SummarizedExperiment,
        hash, AnnotationDbi
Suggests: boot, tools, BiocGenerics, knitr, xtable
License: GPL-3
biocViews: ImmunoOncology, Software, DifferentialExpression,
        GeneSetEnrichment, RNASeq
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/rgsepd
git_branch: RELEASE_3_11
git_last_commit: ee961a0
git_last_commit_date: 2020-06-04
Date/Publication: 2020-06-04
NeedsCompilation: no
Packaged: 2020-06-05 01:59:56 UTC; biocbuild

=== debian/changelog ===
r-bioc-rgsepd (1.20.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 10 Jun 2020 09:58:23 +0200

r-bioc-rgsepd (1.20.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 22 May 2020 09:49:39 +0200

r-bioc-rgsepd (1.18.0-2) unstable; urgency=medium

  * Add missing copyright entry

 -- Andreas Tille <tille@debian.org>  Thu, 02 Apr 2020 21:59:23 +0200

r-bioc-rgsepd (1.18.0-1) unstable; urgency=medium

  * Initial release (closes: #955164)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Mar 2020 23:17:48 +0100

## r-bioc-rgsepd 1.22.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: rgsepd
 Type: Package
 Title: Gene Set Enrichment / Projection Displays
-Version: 1.20.2
-Date: 2020-06-04
+Version: 1.22.0
+Date: 2020-06-01
 Author: Karl Stamm
 Maintainer: Karl Stamm <karl.stamm@gmail.com>
 Description: R/GSEPD is a bioinformatics package for R to help
@@ -20,9 +20,9 @@
         GeneSetEnrichment, RNASeq
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/rgsepd
-git_branch: RELEASE_3_11
-git_last_commit: ee961a0
-git_last_commit_date: 2020-06-04
-Date/Publication: 2020-06-04
+git_branch: RELEASE_3_12
+git_last_commit: 3c6fade
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
 NeedsCompilation: no
-Packaged: 2020-06-05 01:59:56 UTC; biocbuild
+Packaged: 2020-10-28 02:55:18 UTC; biocbuild

=== debian/changelog ===
r-bioc-rgsepd (1.22.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 04 Nov 2020 21:22:41 +0100

=== debian/control ===
Source: r-bioc-rgsepd
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-deseq2,
               r-bioc-goseq,
               r-cran-gplots,
               r-bioc-biomart,
               r-bioc-org.hs.eg.db,
               r-bioc-go.db,
               r-bioc-summarizedexperiment,
               r-cran-hash,
               r-bioc-annotationdbi
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rgsepd
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rgsepd.git
Homepage: https://bioconductor.org/packages/rgsepd/
Rules-Requires-Root: no

Package: r-bioc-rgsepd
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R gene set enrichment / projection displays
 R/GSEPD is a bioinformatics package for R to help
 disambiguate transcriptome samples (a matrix of RNA-Seq counts
 at transcript IDs) by automating differential expression (with
 DESeq2), then gene set enrichment (with GOSeq), and finally a
 N-dimensional projection to quantify in which ways each sample
 is like either treatment group.

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/rgsepd.html .*/rgsepd_(.*).tar.gz

## r-bioc-rgsepd 1.26.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rgsepd
 Type: Package
 Title: Gene Set Enrichment / Projection Displays
-Version: 1.22.0
+Version: 1.26.0
 Date: 2020-06-01
 Author: Karl Stamm
 Maintainer: Karl Stamm <karl.stamm@gmail.com>
@@ -20,9 +20,9 @@
         GeneSetEnrichment, RNASeq
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/rgsepd
-git_branch: RELEASE_3_12
-git_last_commit: 3c6fade
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 02c7033
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: no
-Packaged: 2020-10-28 02:55:18 UTC; biocbuild
+Packaged: 2021-10-26 22:35:35 UTC; biocbuild

=== debian/changelog ===
r-bioc-rgsepd (1.26.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.26.0

 -- Nilesh Patra <nilesh@debian.org>  Fri, 26 Nov 2021 20:05:54 +0530

r-bioc-rgsepd (1.24.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 06:47:01 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                r-bioc-summarizedexperiment,
                r-cran-hash,
                r-bioc-annotationdbi
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rgsepd
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rgsepd.git
 Homepage: https://bioconductor.org/packages/rgsepd/

## r-bioc-rgsepd 1.28.0

=== DESCRIPTION ===
Package: rgsepd
Type: Package
Title: Gene Set Enrichment / Projection Displays
Version: 1.28.0
Date: 2022-03-22
Author: Karl Stamm
Maintainer: Karl Stamm <karl.stamm@gmail.com>
Description: R/GSEPD is a bioinformatics package for R to help
        disambiguate transcriptome samples (a matrix of RNA-Seq counts
        at transcript IDs) by automating differential expression (with
        DESeq2), then gene set enrichment (with GOSeq), and finally a
        N-dimensional projection to quantify in which ways each sample
        is like either treatment group. 
Depends: R (>= 4.2.0), DESeq2, goseq (>= 1.28)
Imports: gplots, biomaRt, org.Hs.eg.db, GO.db, SummarizedExperiment,
        AnnotationDbi
Suggests: boot, tools, BiocGenerics, knitr, xtable
License: GPL-3
biocViews: ImmunoOncology, Software, DifferentialExpression,
        GeneSetEnrichment, RNASeq
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/rgsepd
git_branch: RELEASE_3_15
git_last_commit: 4ad0ddc
git_last_commit_date: 2022-04-26
Date/Publication: 2022-04-26
NeedsCompilation: no
Packaged: 2022-04-26 21:52:09 UTC; biocbuild

=== debian/changelog ===
r-bioc-rgsepd (1.28.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 May 2022 08:43:38 +0200

## r-bioc-rgsepd 1.30.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rgsepd
 Type: Package
 Title: Gene Set Enrichment / Projection Displays
-Version: 1.28.0
+Version: 1.30.0
 Date: 2022-03-22
 Author: Karl Stamm
 Maintainer: Karl Stamm <karl.stamm@gmail.com>
@@ -20,9 +20,9 @@
         GeneSetEnrichment, RNASeq
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/rgsepd
-git_branch: RELEASE_3_15
-git_last_commit: 4ad0ddc
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: d59ea56
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-04-26 21:52:09 UTC; biocbuild
+Packaged: 2022-11-01 22:46:05 UTC; biocbuild

=== debian/changelog ===
r-bioc-rgsepd (1.30.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 22 Nov 2022 10:41:50 +0100

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,8 @@
                r-bioc-org.hs.eg.db,
                r-bioc-go.db,
                r-bioc-summarizedexperiment,
-               r-cran-hash,
                r-bioc-annotationdbi
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rgsepd
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rgsepd.git
 Homepage: https://bioconductor.org/packages/rgsepd/

## r-bioc-rgsepd 1.32.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rgsepd
 Type: Package
 Title: Gene Set Enrichment / Projection Displays
-Version: 1.30.0
+Version: 1.32.0
 Date: 2022-03-22
 Author: Karl Stamm
 Maintainer: Karl Stamm <karl.stamm@gmail.com>
@@ -20,9 +20,9 @@
         GeneSetEnrichment, RNASeq
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/rgsepd
-git_branch: RELEASE_3_16
-git_last_commit: d59ea56
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 87a4b33
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: no
-Packaged: 2022-11-01 22:46:05 UTC; biocbuild
+Packaged: 2023-04-25 22:29:35 UTC; biocbuild

=== debian/changelog ===
r-bioc-rgsepd (1.32.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 22:23:28 +0200

## r-bioc-rgsepd 1.34.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rgsepd
 Type: Package
 Title: Gene Set Enrichment / Projection Displays
-Version: 1.32.0
+Version: 1.34.0
 Date: 2022-03-22
 Author: Karl Stamm
 Maintainer: Karl Stamm <karl.stamm@gmail.com>
@@ -20,9 +20,9 @@
         GeneSetEnrichment, RNASeq
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/rgsepd
-git_branch: RELEASE_3_17
-git_last_commit: 87a4b33
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: e227887
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-04-25 22:29:35 UTC; biocbuild
+Packaged: 2023-10-24 22:46:03 UTC; biocbuild

=== debian/changelog ===
r-bioc-rgsepd (1.34.0-1) unstable; urgency=medium

  * New upstream version
  * Add d/t/autopkgtest-pkg-r.conf

 -- Andreas Tille <tille@debian.org>  Fri, 08 Dec 2023 16:06:05 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                r-bioc-go.db,
                r-bioc-summarizedexperiment,
                r-bioc-annotationdbi
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rgsepd
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rgsepd.git
 Homepage: https://bioconductor.org/packages/rgsepd/

## r-bioc-rgsepd 1.36.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rgsepd
 Type: Package
 Title: Gene Set Enrichment / Projection Displays
-Version: 1.34.0
+Version: 1.36.0
 Date: 2022-03-22
 Author: Karl Stamm
 Maintainer: Karl Stamm <karl.stamm@gmail.com>
@@ -20,9 +20,10 @@
         GeneSetEnrichment, RNASeq
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/rgsepd
-git_branch: RELEASE_3_18
-git_last_commit: e227887
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: b6cffe9
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-06-05
 NeedsCompilation: no
-Packaged: 2023-10-24 22:46:03 UTC; biocbuild
+Packaged: 2024-06-05 23:22:38 UTC; biocbuild

=== debian/changelog ===
r-bioc-rgsepd (1.36.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:55:13 +0200

r-bioc-rgsepd (1.36.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 17:04:17 +0200

r-bioc-rgsepd (1.36.0-1~0exp) experimental; urgency=medium

  * Team uploads
  * New upstream version
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 19:57:49 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-deseq2,
-               r-bioc-goseq,
+               r-bioc-deseq2 (>= 1.44.0),
+               r-bioc-goseq (>= 1.56.0),
                r-cran-gplots,
-               r-bioc-biomart,
-               r-bioc-org.hs.eg.db,
-               r-bioc-go.db,
-               r-bioc-summarizedexperiment,
-               r-bioc-annotationdbi
+               r-bioc-biomart (>= 2.60.1),
+               r-bioc-org.hs.eg.db (>= 3.19.1),
+               r-bioc-go.db (>= 3.19.1),
+               r-bioc-summarizedexperiment (>= 1.34.0),
+               r-bioc-annotationdbi (>= 1.66.0)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rgsepd
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rgsepd.git
@@ -24,9 +24,17 @@
 Package: r-bioc-rgsepd
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-deseq2 (>= 1.44.0),
+         r-bioc-goseq (>= 1.56.0),
+         r-bioc-biomart (>= 2.60.1),
+         r-bioc-org.hs.eg.db (>= 3.19.1),
+         r-bioc-go.db (>= 3.19.1),
+         r-bioc-summarizedexperiment (>= 1.34.0),
+         r-bioc-annotationdbi (>= 1.66.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocgenerics (>= 0.50.0)
 Description: GNU R gene set enrichment / projection displays
  R/GSEPD is a bioinformatics package for R to help
  disambiguate transcriptome samples (a matrix of RNA-Seq counts

## r-bioc-rgsepd 1.38.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rgsepd
 Type: Package
 Title: Gene Set Enrichment / Projection Displays
-Version: 1.36.0
+Version: 1.38.0
 Date: 2022-03-22
 Author: Karl Stamm
 Maintainer: Karl Stamm <karl.stamm@gmail.com>
@@ -20,10 +20,10 @@
         GeneSetEnrichment, RNASeq
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/rgsepd
-git_branch: RELEASE_3_19
-git_last_commit: b6cffe9
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-06-05
+git_branch: RELEASE_3_20
+git_last_commit: 9b94389
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-06-05 23:22:38 UTC; biocbuild
+Packaged: 2024-10-30 02:30:25 UTC; biocbuild

=== debian/changelog ===
r-bioc-rgsepd (1.38.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Jan 2025 12:33:00 +0100

r-bioc-rgsepd (1.38.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 03 Dec 2024 18:52:33 +0100

=== debian/control ===
Source: r-bioc-rgsepd
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-deseq2,
               r-bioc-goseq,
               r-cran-gplots,
               r-bioc-biomart,
               r-bioc-org.hs.eg.db,
               r-bioc-go.db,
               r-bioc-summarizedexperiment,
               r-bioc-annotationdbi
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rgsepd
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rgsepd.git
Homepage: https://bioconductor.org/packages/rgsepd/
Rules-Requires-Root: no

Package: r-bioc-rgsepd
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R gene set enrichment / projection displays
 R/GSEPD is a bioinformatics package for R to help
 disambiguate transcriptome samples (a matrix of RNA-Seq counts
 at transcript IDs) by automating differential expression (with
 DESeq2), then gene set enrichment (with GOSeq), and finally a
 N-dimensional projection to quantify in which ways each sample
 is like either treatment group.
